import React from "react";
import { User } from "matrix-js-sdk/src/matrix";
import { IDevice } from "../right_panel/UserInfo";
interface IProps {
    user: User;
    device: IDevice;
    onFinished(mode?: "legacy" | "sas" | false): void;
}
declare const UntrustedDeviceDialog: React.FC<IProps>;
export default UntrustedDeviceDialog;
